import { Type } from '../Type';
/**
 * The array of inputs that are coercible to a bigint with {@link coerceToBigInt}.
 */
export declare const bigintCoercibleInputs: readonly (Type<"array"> | Type<"bigint"> | Type<"boolean"> | Type<"number"> | Type<"object"> | Type<"string"> | null | undefined)[];
/**
 * Coerces a value to a bigint.
 *
 * @param input The value to coerce.
 * @returns A bigint value, or {@link NEVER} if coercion isn't possible.
 */
export declare function coerceToBigInt(input: unknown): bigint;
//# sourceMappingURL=bigint.d.ts.map