import { Type } from '../Type';
/**
 * The array of inputs that are coercible to a boolean with {@link coerceToBoolean}.
 */
export declare const booleanCoercibleInputs: readonly (string | number | Type<"array"> | Type<"boolean"> | Type<"object"> | null | undefined)[];
/**
 * Coerces a value to a boolean.
 *
 * @param input The value to coerce.
 * @returns A boolean value, or {@link NEVER} if coercion isn't possible.
 */
export declare function coerceToBoolean(input: unknown): boolean;
//# sourceMappingURL=boolean.d.ts.map