/**
 * Returns the array of types that are coercible to a constant value with {@link coerceToConst}.
 */
export declare function getConstCoercibleInputs(value: unknown): readonly unknown[];
/**
 * Coerces an input value to the given constant value.
 *
 * @param value The literal value to which an `input` must be coerced.
 * @param input The input to coerce.
 * @returns `value` if `input` is coercible to `value` or {@link NEVER} if coercion isn't possible.
 */
export declare function coerceToConst<T>(value: T, input: unknown): T;
//# sourceMappingURL=const.d.ts.map