import { Type } from '../Type';
/**
 * The array of inputs that are coercible to a Date with {@link coerceToDate}.
 */
export declare const dateCoercibleInputs: readonly (Type<"array"> | Type<"date"> | Type<"number"> | Type<"string">)[];
/**
 * Coerces a value to a Date.
 *
 * @param input The value to coerce.
 * @returns A `Date` value, or {@link NEVER} if coercion isn't possible.
 */
export declare function coerceToDate(input: unknown): Date;
//# sourceMappingURL=date.d.ts.map