import { Type } from '../Type';
/**
 * The array of inputs that are coercible to a number with {@link coerceToNumber}.
 */
export declare const numberCoercibleInputs: readonly (Type<"array"> | Type<"bigint"> | Type<"boolean"> | Type<"date"> | Type<"number"> | Type<"object"> | Type<"string"> | null | undefined)[];
/**
 * Coerces a value to a number (not `NaN`).
 *
 * @param input The value to coerce.
 * @returns A number value, or {@link NEVER} if coercion isn't possible.
 */
export declare function coerceToNumber(input: unknown): number;
//# sourceMappingURL=number.d.ts.map