import { Type } from '../Type';
/**
 * The array of inputs that are coercible to a string with {@link coerceToString}.
 */
export declare const stringCoercibleInputs: readonly (Type<"array"> | Type<"bigint"> | Type<"boolean"> | Type<"date"> | Type<"number"> | Type<"object"> | Type<"string"> | null | undefined)[];
/**
 * Coerces a value to a string.
 *
 * @param input The value to coerce.
 * @returns A string value, or {@link NEVER} if coercion isn't possible.
 */
export declare function coerceToString(input: unknown): string;
//# sourceMappingURL=string.d.ts.map