import { ArrayShape } from '../shape/ArrayShape';
import { AnyShape, Shape } from '../shape/Shape';
import { IssueOptions, Message } from '../types';
/**
 * Creates the unconstrained array shape.
 *
 * @param options The issue options or the issue message.
 * @group DSL
 */
export declare function array(options?: IssueOptions | Message): ArrayShape<[], Shape>;
/**
 * Creates the array shape with elements that conform the element shape.
 *
 * @param shape The shape of an array element.
 * @param options The issue options or the issue message.
 * @template ValueShape The shape of an array element.
 * @group DSL
 */
export declare function array<ValueShape extends AnyShape>(shape: ValueShape, options?: IssueOptions | Message): ArrayShape<[], ValueShape>;
//# sourceMappingURL=array.d.ts.map