import { ConvertShape } from '../shape/Shape.mjs';

/**
 * Creates the shape that synchronously converts the input value.
 *
 * @param cb The callback that converts the input value. Throw a {@link ValidationError} to notify that the conversion
 * cannot be successfully completed.
 * @template Value The input value.
 * @template ConvertedValue The output value.
 * @group DSL
 */
function convert(
/**
 * @param value The input value.
 * @param options Parsing options.
 */
cb) {
    return new ConvertShape(cb);
}

export { convert };
//# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoiY29udmVydC5tanMiLCJzb3VyY2VzIjpbImNvbnZlcnQudHMiXSwic291cmNlc0NvbnRlbnQiOltudWxsXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6Ijs7QUFHQTs7Ozs7Ozs7QUFRRztTQUNhLE9BQU87QUFDckI7OztBQUdHO0FBQ0gsRUFBeUQsRUFBQTtBQUV6RCxJQUFBLE9BQU8sSUFBSSxZQUFZLENBQUMsRUFBRSxDQUFDLENBQUM7QUFDOUI7Ozs7In0=
