import { identity } from '../internal/lang.mjs';
import { LazyShape } from '../shape/LazyShape.mjs';

/**
 * Creates the shape that resolves the underlying shape on-demand.
 *
 * @param shapeProvider The provider that returns the resolved shape.
 * @template ProvidedShape The provided shape.
 * @group DSL
 */
function lazy(shapeProvider) {
    return new LazyShape(shapeProvider, identity);
}

export { lazy };
//# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoibGF6eS5tanMiLCJzb3VyY2VzIjpbImxhenkudHMiXSwic291cmNlc0NvbnRlbnQiOltudWxsXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6Ijs7O0FBSUE7Ozs7OztBQU1HO0FBQ0csU0FBVSxJQUFJLENBQ2xCLGFBQWtDLEVBQUE7QUFFbEMsSUFBQSxPQUFPLElBQUksU0FBUyxDQUFDLGFBQWEsRUFBRSxRQUFRLENBQUMsQ0FBQztBQUNoRDs7OzsifQ==
