/**
 * A bitmask that can hold up to 2^31 - 1 number of bits.
 */
export type Bitmask = number[] | number;
/**
 * Toggles the bit in the bitmask at given position.
 *
 * @param bitmask The mutable mask to update.
 * @param position The index at which the bit must be toggled.
 * @returns The updated mask.
 */
export declare function toggleBit(bitmask: Bitmask, position: number): Bitmask;
/**
 * Returns the bit value at given position.
 */
export declare function getBit(bitmask: Bitmask, position: number): number;
//# sourceMappingURL=bitmasks.d.ts.map