export declare const isArray: (arg: any) => arg is any[];
export declare const freeze: {
    <T extends Function>(f: T): T;
    <T_1 extends {
        [idx: string]: object | U | null | undefined;
    }, U extends string | number | bigint | boolean | symbol>(o: T_1): Readonly<T_1>;
    <T_2>(o: T_2): Readonly<T_2>;
};
export declare function identity<T>(value: T): T;
/**
 * [SameValueZero](https://tc39.es/ecma262/multipage/abstract-operations.html#sec-samevaluezero) comparison.
 */
export declare function isEqual(a: unknown, b: unknown): boolean;
export declare function isObjectLike<T extends Record<any, any>>(value: unknown): value is T;
export declare function isObject(value: unknown): boolean;
export declare function isIterableObject(value: any): value is Iterable<any>;
export declare function isEqualOrSubclass(ctor: Function, superCtor: Function): boolean;
export declare function isValidDate(value: unknown): value is Date;
export declare function isMapEntry(value: unknown): value is [unknown, unknown];
/**
 * Returns primitive if
 * [an object is a wrapper](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Data_structures#primitive_values),
 * or returns value as is.
 */
export declare function getCanonicalValue(value: unknown): unknown;
export declare function returnTrue(): boolean;
//# sourceMappingURL=lang.d.ts.map