export interface ReadonlyDict<T = any> {
    readonly [key: string]: T;
}
export interface Dict<T = any> {
    [key: string]: T;
}
export declare function overrideProperty<T>(obj: object, key: PropertyKey, value: T): T;
/**
 * Updates object property value, prevents prototype pollution.
 */
export declare function setObjectProperty<T>(obj: any, key: PropertyKey, value: T): T;
/**
 * Clones a dictionary-like object.
 */
export declare function cloneDict(dict: ReadonlyDict): Dict;
/**
 * Clones the first `count` keys of a dictionary-like object.
 */
export declare function cloneDictHead(dict: ReadonlyDict, count: number): Dict;
/**
 * Clones known keys of a dictionary-like object.
 */
export declare function cloneDictKeys(dict: ReadonlyDict, keys: readonly string[]): Dict;
//# sourceMappingURL=objects.d.ts.map