import { Type } from '../Type';
export declare function isType(value: unknown): value is Type;
/**
 * Returns `true` if type or literal `a` is assignable to the type or literal `b`.
 */
export declare function isAssignable(a: unknown, b: unknown): boolean;
/**
 * Returns an array of unique types and literals that comprise a union.
 */
export declare function unionTypes(types: readonly unknown[]): readonly unknown[];
/**
 * Takes an array of arrays of types that are treated as an intersection of unions, and applies the distribution rule
 * that produces a union.
 *
 * ```
 * (a | b) & (a | b | c) → a | b
 * ```
 */
export declare function distributeTypes(types: ReadonlyArray<ReadonlyArray<unknown>>): unknown[];
//# sourceMappingURL=types.d.ts.map