import { ApplyOptions, IssueOptions, Message, Result } from '../types';
import { CoercibleShape } from './CoercibleShape';
/**
 * The shape of the {@link !Date Date} object.
 * @group Shapes
 */
export declare class DateShape extends CoercibleShape<Date> {
    /**
     * Returns issues associated with an invalid input value type.
     */
    protected _typeIssueFactory: (input: unknown, options: ApplyOptions) => import("../types").Issue;
    /**
     * Creates a new {@link DateShape} instance.
     *
     * @param options The issue options or the issue message.
     */
    constructor(options?: IssueOptions | Message);
    protected _getInputs(): readonly unknown[];
    protected _apply(input: any, options: ApplyOptions, nonce: number): Result<Date>;
}
//# sourceMappingURL=DateShape.d.ts.map