import { ApplyOptions, IssueOptions, Message, Result } from '../types';
import { Shape } from './Shape';
/**
 * The shape that doesn't match any input.
 *
 * @group Shapes
 */
export declare class NeverShape extends Shape<never> {
    /**
     * Returns issues associated with an invalid input value type.
     */
    protected _typeIssueFactory: (input: unknown, options: ApplyOptions) => import("../types").Issue;
    /**
     * Creates a new {@link NeverShape} instance.
     *
     * @param options The issue options or the issue message.
     */
    constructor(options?: IssueOptions | Message);
    protected _getInputs(): readonly unknown[];
    protected _apply(input: unknown, options: ApplyOptions, nonce: number): Result<never>;
}
//# sourceMappingURL=NeverShape.d.ts.map