import { ApplyOptions, IssueOptions, Message, Result } from '../types';
import { CoercibleShape } from './CoercibleShape';
/**
 * The shape of a string value.
 *
 * @group Shapes
 */
export declare class StringShape extends CoercibleShape<string> {
    /**
     * Returns issues associated with an invalid input value type.
     */
    protected _typeIssueFactory: (input: unknown, options: ApplyOptions) => import("../types").Issue;
    /**
     * Creates a new {@link StringShape} instance.
     *
     * @param options The issue options or the issue message.
     */
    constructor(options?: IssueOptions | Message);
    protected _getInputs(): readonly unknown[];
    protected _apply(input: any, options: ApplyOptions, nonce: number): Result<string>;
}
//# sourceMappingURL=StringShape.d.ts.map