import { ApplyOptions, IssueOptions, Message, Result } from '../types';
import { Shape } from './Shape';
/**
 * The shape of an arbitrary symbol value.
 *
 * @group Shapes
 */
export declare class SymbolShape extends Shape<symbol> {
    /**
     * Returns issues associated with an invalid input value type.
     */
    protected _typeIssueFactory: (input: unknown, options: ApplyOptions) => import("../types").Issue;
    /**
     * Creates a new {@link SymbolShape} instance.
     *
     * @param options The issue options or the issue message.
     */
    constructor(options?: IssueOptions | Message);
    protected _getInputs(): readonly unknown[];
    protected _apply(input: unknown, options: ApplyOptions, nonce: number): Result<symbol>;
}
//# sourceMappingURL=SymbolShape.d.ts.map